#version 330 core
out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D lightingTexture;
uniform sampler2D gAlbedoSpec;
uniform sampler2D ssao;

uniform bool useSSAO;

void main() {
    vec3 lighting = texture(lightingTexture, TexCoords).rgb;
    vec3 albedo = texture(gAlbedoSpec, TexCoords).rgb;
    vec3 color = lighting * albedo;

    if (useSSAO) {
        float ao = texture(ssao, TexCoords).r;
        color *= ao;
    }

    FragColor = vec4(color, 1.0);
}
