#version 330 core

layout(location = 0) out vec4 gPosition; // Position color buffer to store the position texture (LOCATION 0)
layout(location = 1) out vec4 gAlbedoSpec; // AlbedoSpec color buffer to store the AlbedoSpec texture (LOCATION 1)
layout(location = 2) out vec4 gNormal; // Normal color buffer to store the normal texture (LOCATION 2)

in vec3 FragPosView; // Fragment Position in View Space
in vec3 NormalView; // Normal in View Space
in vec2 TexCoords; // Texture Coordinates

uniform sampler2D texture_diffuse; // Diffuse Texture Sampler
uniform sampler2D texture_specular; // Specular Texture Sampler

void main() {
    gPosition = vec4(FragPosView, 1.0); // Store view-space position
    gNormal = vec4(normalize(NormalView), 0.0); // Store view-space normal
    gAlbedoSpec.rgb = texture(texture_diffuse, TexCoords).rgb; // Store Diffuse Texture as RGB of the AlbedoSpec Texture
    gAlbedoSpec.a = texture(texture_specular, TexCoords).a; // Store Specular Texture as Alpha of the AlbedoSpec Texture
}
