#version 330 core

out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D displayTexture;
uniform bool isDepth;

void main() {
    vec4 texValue = texture(displayTexture, TexCoords);
    if (isDepth) {
        float depth = texValue.r;
        FragColor = vec4(vec3(depth), 1.0); // Visualize depth as grayscale
    } else {
        FragColor = texValue;
    }
}
