#version 460

layout(location = 0) in vec4 Position;  // Particle position and lifetime
uniform mat4 ModelViewMatrix;           // ModelView matrix from the main program

out vData {
    float TTL1;
    vec4 viewSpacePos;
} vertex;

void main() {
    // Transform the position to view space
    vec4 viewSpacePosition = ModelViewMatrix * vec4(Position.xyz, 1.0);
    vertex.viewSpacePos = viewSpacePosition;
    vertex.TTL1 = Position.w;

    // Pass position to geometry shader
    gl_Position = viewSpacePosition; // Pass through for geometry shader
}
